Subject: bug#39799: 28.0.50; Most emoji sequences don’t render correctly

From: Eli Zaretskii <[email-masked]>
Date: Tue, 21 Sep 2021 14:58:35 +0300

> From: Mike FABIAN <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
> Date: Tue, 21 Sep 2021 13:48:17 +0200
> 
> > Iʼve just pushed a change to master that should fix (almost) all the
> > issues with displaying emoji sequences (except for keycaps). Feedback
> > welcome.
> 
> Should that also fix the skin tones?

It should, and I thought HarfBuzz on Cairo already supported that?

Can you try this with hb-view and see if HarfBuzz produces a single
glyph/grapheme from this sequence?